naxsi-ui-extract does not work

Bug #1392319 reported by Adik on 2014-11-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nginx (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

# service nginx-naxsi-ui start
Starting nginx-naxsi-ui: nginx-naxsi-ui_intercept.
nginx-naxsi-ui_extract.

# service nginx-naxsi-ui status
 * nginx-naxsi-ui_extract is not running

When I start it mannually i get folowing error:

# naxsi-ui-extract
Traceback (most recent call last):
  File "nx_extract.py", line 10, in <module>
    from twisted.web.error import NoResource
ImportError: cannot import name NoResource

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: nginx-naxsi-ui 1.4.6-1ubuntu3.1
ProcVersionSignature: Ubuntu 3.13.0-32.57-generic 3.13.11.4
Uname: Linux 3.13.0-32-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.5
Architecture: amd64
Date: Thu Nov 13 14:30:59 2014
InstallationDate: Installed on 2014-11-05 (8 days ago)
InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.3)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: nginx
UpgradeStatus: No upgrade log present (probably fresh install)

Adik (adikrc) wrote :
information type: Private Security → Public Security
Thomas Ward (teward) wrote :

I fail to see how this is a security bug, so I am returning it to the standard "Public" setting.

information type: Public Security → Public
Adik (adikrc) wrote :

How is this security bug? It does not work, so I can not secure my website with it.

Thomas Ward (teward) wrote :

That does not mean that the bug itself is a "security" bug per the guidelines for bugs. A security bug is a bug which has a documented security flaw in the program itself. The program 'not working' does not constitute a security bug on its own. I've checked with the server team as well - this bug is not a 'security' bug - it is, rather, a bug in the program which prevents it from loading, and it does not fall into the criterion for a security bug.

However, this package is in Universe, which means that it is community maintained. If someone from the community provides a debdiff and/or code that is satisfactory of the Stable Release Update requirements (https://wiki.ubuntu.com/StableReleaseUpdates) then it can be reviewed and considered as an upload/update for this issue.

Thomas Ward (teward) wrote :

I have marked this as invalid against Vivid. In the latest merges, the nginx-naxsi flavor and related packaging was removed as a result of Debian dropping support for the naxsi packaging.

Notes to triagers and people looking to fix the bugs: The nginx-naxsi package in Trusty and Utopic is community maintained. If someone from the community provides a debdiff and/or code that is satisfactory of the Stable Release Update requirements (https://wiki.ubuntu.com/StableReleaseUpdates) then it can be reviewed and considered as an upload/update for this issue.

Changed in nginx (Ubuntu Vivid):
status: New → Invalid
Thomas Ward (teward) wrote :

Ubuntu Utopic has gone End of Life as of today. As such, this bug is being marked Won't Fix against the Utopic package.

Refer to: https://lists.ubuntu.com/archives/ubuntu-announce/2015-July/000198.html

Changed in nginx (Ubuntu Utopic):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers